| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetMlhgInfoResult Struct Reference
Multi Line Hunt Group

Get MLHG Information result. More...

`#include <osv-if-doc.h>`

## Public Attributes
struct unsp__ResultCodeStruct | Result
| Result code structure. More...
char * | BGName
| The Business Group of the ML Hunt Group and its Pilot. More...
char * | BOName
| The Branch Office to be associated with the ML Hunt Group. More...
char * | AssociatedEndpointIP
| The IP Address of the Endpoint associated with the MLHG, if any. More...
char * | RepresentativeEndpointName
| The Name of the representative endpoint of the MLHG, if any. More...
char * | PilotServiceId
| The DN of the subscriber that represents the Pilot DN of the MLHG. More...
char * | HGName
| The Name of the ML Hunt Group. More...
struct unsp__MlhgInfo * | MlhgInfo
| MLHG Information. More...
struct unsp__MlhgTermList * | MlhgTermList
| The list of terminals of the MLHG. More...
struct unsp__PaginatedInfo * | PaginatedInfo
| Standard paging structure. More...

## Detailed Description

Get MLHG Information result.

Used by unsp__GetMlhgInfo2()

## Member Data Documentation

## ◆ AssociatedEndpointIP

char* unsp__GetMlhgInfoResult::AssociatedEndpointIP

The IP Address of the Endpoint associated with the MLHG, if any.

default value[range]: NA [1..30]

## ◆ BGName

char* unsp__GetMlhgInfoResult::BGName

The Business Group of the ML Hunt Group and its Pilot.

See also
  unsp__BGName

## ◆ BOName

char* unsp__GetMlhgInfoResult::BOName

The Branch Office to be associated with the ML Hunt Group.

See also
  unsp__BOName

## ◆ HGName

char* unsp__GetMlhgInfoResult::HGName

The Name of the ML Hunt Group.

required: false
default value[range]: NA [1..30]

## ◆ MlhgInfo

struct unsp__MlhgInfo* unsp__GetMlhgInfoResult::MlhgInfo

MLHG Information.

## ◆ MlhgTermList

struct unsp__MlhgTermList* unsp__GetMlhgInfoResult::MlhgTermList

The list of terminals of the MLHG.

## ◆ PaginatedInfo

struct unsp__PaginatedInfo* unsp__GetMlhgInfoResult::PaginatedInfo

Standard paging structure.

## ◆ PilotServiceId

char* unsp__GetMlhgInfoResult::PilotServiceId

The DN of the subscriber that represents the Pilot DN of the MLHG.

That is, the number that when dialed will cause hunting through the MLHG members to take place.
required: true

See also
  unsp__ServiceId

## ◆ RepresentativeEndpointName

char* unsp__GetMlhgInfoResult::RepresentativeEndpointName

The Name of the representative endpoint of the MLHG, if any.

See also
  unsp__EndpointName

## ◆ Result

struct unsp__ResultCodeStruct unsp__GetMlhgInfoResult::Result

Result code structure.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h